Page MenuHomeMiraheze

Cargo table problem
Open, NormalPublic

Description

See this link. The Cargo table "Level" of Template:关卡信息 can't be well created. It raises error: [29101d885e6931ddb237b09f] 2020-02-06 04:42:25: 类型“MWException”的致命例外. I've Yaron Koren and he said that "$wgShowExceptionDetails = true;" should be set.

Event Timeline

SolidBlock created this task.Feb 6 2020, 04:44
SolidBlock updated the task description. (Show Details)Feb 6 2020, 04:45

@SolidBlock Have you tried using Cargo in a test template in case the same error occurs?

dross removed SolidBlock as the assignee of this task.Feb 6 2020, 19:38

I'm experiencing the same problem as well on thenationstate.miraheze.org. I created the Political_Parties table and now the Cargo table's page shows an "MWException" error, and the articles using it (https://thenationstate.miraheze.org/wiki/Politics_of_the_Divasan_Republic) can't find them anymore "Error: Table Political_Parties not found."

For information to other sysadmins, the full stack is:

2020-04-04 02:57:10 mw6 soulforgedwiki: [40dc3fd0198bb7ff5e979ed3] /w/index.php?                                                                             title=Research_Concept:_Sewing&action=submit   ErrorException from line 431 of /                                                                             srv/mediawiki/w/extensions/Cargo/includes/parserfunctions/CargoStore.php: PHP No                                                                             tice: Undefined index: icon
#0 /srv/mediawiki/w/extensions/Cargo/includes/parserfunctions/CargoStore.php(431                                                                             ): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/w/extensions/Cargo/includes/parserfunctions/CargoStore.php(124                                                                             ): CargoStore::storeAllData(Title, string, array, CargoTableSchema)
#2 /srv/mediawiki/w/includes/parser/Parser.php(3816): CargoStore::run(Parser, st                                                                             ring, string, string, string, string, string, string, string, string, string, st                                                                             ring, string, string, string, string, string, string, string, string, string, st                                                                             ring, string, string, string, string, string, string, string, string, string, st                                                                             ring, string, string, string, string, string, string, string, string, string, st                                                                             ring, string, string, string, string, string, string, string, string, string, st                                                                             ring, string, string, string, string, string)
#10 /srv/mediawiki/w/extensions/Cargo/includes/CargoUtils.php(613): Parser->pars                                                                             e(string, Title, ParserOptions)
#11 /srv/mediawiki/w/extensions/Cargo/CargoHooks.php(283): CargoUtils::parsePage                                                                             ForStorage(Title, string)
#12 /srv/mediawiki/w/includes/Hooks.php(174): CargoHooks::onPageContentSaveCompl                                                                             ete(WikiPage, User, WikitextContent, string, integer, NULL, NULL, integer, Revis                                                                             ion, Status, boolean, integer)

I'm experiencing the same problem as well on thenationstate.miraheze.org. I created the Political_Parties table and now the Cargo table's page shows an "MWException" error, and the articles using it (https://thenationstate.miraheze.org/wiki/Politics_of_the_Divasan_Republic) can't find them anymore "Error: Table Political_Parties not found."

Where exactly it the Political_Parties table located?

stranger195 added a comment.EditedApr 5 2020, 09:59

I'm experiencing the same problem as well on thenationstate.miraheze.org. I created the Political_Parties table and now the Cargo table's page shows an "MWException" error, and the articles using it (https://thenationstate.miraheze.org/wiki/Politics_of_the_Divasan_Republic) can't find them anymore "Error: Table Political_Parties not found."

Where exactly it the Political_Parties table located?

https://thenationstate.miraheze.org/wiki/Special:CargoTables/Political_Parties is located at https://thenationstate.miraheze.org/wiki/Template:Infobox_political_party

It also has a replacement table at https://thenationstate.miraheze.org/wiki/Special:CargoTables/Political_Parties?_replacement when I wanted to add some more properties to it

Reception123 triaged this task as Normal priority.Apr 9 2020, 09:15
Reception123 added a project: Extensions.

For other sysadmins:

2020-04-22 06:35:18 mw5 thenationstatewiki: [b46ec7b0afe264f335f16b93] /wiki/Spe                                                                             cial:CargoTables/Political_Parties?_replacement   MWException from line 260 of /                                                                             srv/mediawiki/w/extensions/Cargo/includes/CargoUtils.php: Error: Table Political                                                                             _Parties__NEXT not found.
#0 /srv/mediawiki/w/extensions/Cargo/includes/specials/CargoTables.php(102): Car                                                                             goUtils::getTableSchemas(array)
#1 /srv/mediawiki/w/includes/specialpage/SpecialPage.php(575): CargoTables->exec                                                                             ute(string)
#2 /srv/mediawiki/w/includes/specialpage/SpecialPageFactory.php(611): SpecialPag                                                                             e->run(string)
#3 /srv/mediawiki/w/includes/MediaWiki.php(296): MediaWiki\Special\SpecialPageFa                                                                             ctory->executePath(Title, RequestContext)
#4 /srv/mediawiki/w/includes/MediaWiki.php(900): MediaWiki->performRequest()
#5 /srv/mediawiki/w/includes/MediaWiki.php(527): MediaWiki->main()
#6 /srv/mediawiki/w/index.php(44): MediaWiki->run()
#7 {main}

@SolidBlock I see that Cargo has been disabled on the wiki. Do you still need help with this?

AmandaCath closed this task as Resolved.Jun 17 2020, 17:56
AmandaCath claimed this task.
AmandaCath added a subscriber: AmandaCath.

No response. Assuming disabling Cargo solved any outstanding issues. Please reopen this task if this is not the case.

SolidBlock added a comment.EditedJun 20 2020, 22:24

Sorry to be too late to respond. Actually, I have to prepare for the college entrance exam and have no time to maintain, so I disabled Cargo temporarily. I'll re-enable Cargo on the week several weeks later. Thanks.

Cargo is reopened on rs.miraheze.org, and still, it doesn't behaves well.

SolidBlock reopened this task as Open.Jul 11 2020, 01:37
AmandaCath removed AmandaCath as the assignee of this task.Sat, Jul 11, 21:15
AmandaCath removed a project: Amanda Catherine.
AmandaCath removed a subscriber: AmandaCath.
OPMAN added a comment.EditedTue, Jul 28, 04:02

okay, just want to report on this,
I deleted all the cargo tables and tried to create new ones,
one time I was able to view a table,
right now I have 3 tables, but only one can be viewed
https://onepiecebountyrush.miraheze.org/wiki/Special:CargoTables
https://onepiecebountyrush.miraheze.org/wiki/Special:CargoTables/TEST100 - Viewable
https://onepiecebountyrush.miraheze.org/wiki/Special:CargoTables/UnitsTable - Error
https://onepiecebountyrush.miraheze.org/wiki/Special:CargoTables/UnitTable - Error
the one that can be viewable is very simple table, so I tried to edit it and replace with fields from other table
and tried to recreate the table, still got the error and reverted back, it was viewable again.